#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)iic.fc	19.1 (ES0-DMD) 02/25/03 13:54:39 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

#include <ftoc.h>

static int  savdsp, *pin1, *pin2, *pin3;

#define IIC1	iic1_
ROUTINE IIC1(dsplay,in1,in2,in3)
fint2c *dsplay;
fint2c *in1;
fint2c *in2;
fint2c *in3;

{
savdsp = *dsplay;
pin1 = in1;
pin2 = in2;
pin3 = in3;
return 0;
}

#define IIC2	iic2_
ROUTINE IIC2(colour,xc,yc,idst)
fint2c *colour;
fint2c *xc;
fint2c *yc;
fint2c *idst;

{
int  IICINC_C();

*idst = IICINC_C(savdsp,*pin1,*pin2,*pin3,*colour,*xc,*yc);
return 0;
}

#define IICSCV	iicscv_
ROUTINE IICSCV(dsplay,cursno,vis,idst)
fint2c *dsplay;
fint2c *cursno;
fint2c *vis;
fint2c *idst;

{
int  IICSCV_C();

*idst = IICSCV_C(*dsplay,*cursno,*vis);
return 0;
}

#define IICWCP	iicwcp_
ROUTINE IICWCP(dsplay,chan,cursno,xc,yc,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *cursno;
fint2c *xc;
fint2c *yc;
fint2c *idst;

{
int  IICWCP_C();

*idst = IICWCP_C(*dsplay,*chan,*cursno,*xc,*yc);
return 0;
}

#define IIC3	iic3_
ROUTINE IIC3(yc,memo,idst)
fint2c *yc;
fint2c *memo;
fint2c *idst;

{
int  IICRCP_C();

*idst = IICRCP_C(savdsp,*pin1,*pin2,pin3,yc,memo);
return 0;
}
