#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2005 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

#include <ftoc.h>



static int  savdsp, *pin1, *pin2, *pin3, *pin4;

#define IIM1	iim1_
ROUTINE IIM1(dsplay,in1,in2,in3,in4)
fint2c *dsplay;
fint2c *in1;
fint2c *in2;
fint2c *in3;
fint2c *in4;

{
savdsp = *dsplay;
pin1 = in1;
pin2 = in2;
pin3 = in3;
pin4 = in4;
return 0;
}

#define IIMCMY	iimcmy_
ROUTINE IIMCMY(dsplay,chan,nochan,value,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *nochan;
fint2c *value;
fint2c *idst;
{
int  IIMCMY_C();

*idst = IIMCMY_C(*dsplay,chan,*nochan,*value);
return 0;
}

#define IIM2	iim2_
ROUTINE IIM2(depth,xbeg,ybeg,idst)
fint2c *depth;
fint2c *idst;
fint2c *xbeg;
fint2c *ybeg;

{
int  IIMSTW_C();

*idst = IIMSTW_C(savdsp,*pin1,*pin2,*pin3,*pin4,*depth,*xbeg,*ybeg);
return 0;
}

#define IIM3	iim3_
ROUTINE IIM3(depth,pack,xbeg,ybeg,idst)
fint2c *depth;
fint2c *pack;
fint2c *xbeg;
fint2c *ybeg;
fint2c *idst;

{
int  IIMWMY_C();

*idst = IIMWMY_C(savdsp,*pin1,pin2,*pin3,*depth,*pack,*xbeg,*ybeg);
return 0;
}

#define IIM4	iim4_
ROUTINE IIM4(depth,pack,ittflg,pix,idst)
fint2c *depth;
fint2c *pack;
fint2c *ittflg;
fint2c *idst;
fint2c *pix;

{
int  IIMRMY_C();

*idst = IIMRMY_C(savdsp,*pin1,*pin2,*pin3,*pin4,*depth,*pack,*ittflg,pix);
return 0;
}

#define IIMSMV	iimsmv_
ROUTINE IIMSMV(dsplay,chan,nochan,vis,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *nochan;
fint2c *vis;
fint2c *idst;

{
int  IIMSMV_C();

*idst = IIMSMV_C(*dsplay,chan,*nochan,*vis);
return 0;
}

#define IIMSLT	iimslt_
ROUTINE IIMSLT(dsplay,chan,lut,itt,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *itt;
fint2c *lut;
fint2c *idst;

{
int  IIMSLT_C();

*idst = IIMSLT_C(*dsplay,*chan,*lut,*itt);
return 0;
}

#define IIMBLM	iimblm_
ROUTINE IIMBLM(dsplay,memids,memlim,delay,idst)
fint2c *dsplay;
fint2c *memids;
fint2c *memlim;
fint2c *idst;
float  *delay;

{
int  IIMBLM_C();

*idst = IIMBLM_C(*dsplay,memids,*memlim,delay);
return 0;
}

