#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int

/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

 
#include <ftoc.h>
#include <midas_def.h>


static char savaction[16];
static int  savnaxis;
static int  *pnpix, *psublo, *psubhi;

#if 0     /* ==== Original Code ==== */
SUBROUTINE YST1(action,naxis,npix,sublo,subhi)

CHARACTER   action; 
fint2c  *naxis;
fint2c  *npix;
fint2c  *sublo;
fint2c  *subhi;
#else     /* ==== Generated Code === */
#define YST1	yst1_
YST1(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */

strncpy(savaction,STRIPPED_STRING(1,5,0),12);
savaction[12] = '\0';

savnaxis = *PARAM(2,5,1,fint2c *);
pnpix =PARAM(3,5,1,fint2c *);
psublo =PARAM(4,5,1,fint2c *);
psubhi =PARAM(5,5,1,fint2c *);
  ftoc_free(FORmark);    /* <forif> */
}

#define YST2	yst2_
ROUTINE YST2(a,cutvls,rsults,respix,nopix,stat)
 
float     *a;
float     *cutvls;
float     *rsults;
fint2c    *respix;
fint2c    *nopix;
fint2c    *stat;

{
int   n, mylo[3], myhi[3], myrespix[3];


if (savnaxis > 3) 
   {
   *stat = -77;
   return;
   }

for (n=0; n<savnaxis; n++)
   {
   mylo[n] = *psublo - 1;
   myhi[n] = *psubhi - 1;
   psublo++;
   psubhi++;
   }

*stat = Cstvals(savaction,a,savnaxis,pnpix,mylo,myhi,cutvls,rsults,
                  myrespix,nopix);

for (n=0; n<savnaxis; n++)
   respix[n] = myrespix[n] + 1;

}


