#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)getinp.fc	19.1 (ES0-DMD) 02/25/03 14:07:38 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT      (c) 1993 European Southern Observatory
.IDENTifier     getinp.fc
.AUTHOR         Rein H. Warmels, ESO-IPG
.KEYWORDS       High level input interface
.LANGUAGE       C
.PURPOSE        Fortran to C interface for USRINP
.COMMENTS       Module contains interfaces for USRINP
.ENVIRONMENT    MIDAS FORTRAN and C standards
.VERSION        1.0 25-Jul-1994 RHW
-----------------------------------------------------------------------------*/
#include <midas_def.h>
#include <ftoc.h>
#include <proto_plt.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE GETINP(ctype,cstring,maxval,cbuff,actval,status)
CHARACTER   ctype;      /* IN:  requested type of array elements in cbuff */
CHARACTER cstring;	/* IN:  character string */
fint2c    *maxval;	/* IN:  maximum number of elements in output array */
CHARACTER   cbuff;      /* OUT: character pointer to a pointer of req. type */
fint2c    *actval;	/* OUT: actuel number of values found */
fint2c    *status;	/* OUT: status return */
#else     /* ==== Generated Code === */
#define GETINP	getinp_
GETINP(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */
	
     *PARAM(6,6,3,fint2c *) = USRINP(STRIPPED_STRING(1,6,0)[0],STRIPPED_STRING(2,6,1),
                      *PARAM(3,6,2,fint2c *),CHAR_LOC(4,6,2),PARAM(5,6,3,fint2c *));
  ftoc_free(FORmark);    /* <forif> */
}
