! @(#)t2ttcptbl.prg	19.1 (ES0-DMD) 02/25/03 14:09:08
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
!  MIDAS Command : t2ttcptbl.prg
!  TABLE Subsystem
!  J.D.Ponz                ESO - Garching    5 APR 89
!
! .PURPOSE
!
!    implements
!
!  COPY/TT     intable incol outable [outcol]
!
! ----------------------------------------------------------------------
!
DEFINE/PARAM P1 ? TABLE  "Enter table:"
DEFINE/PARAM P2 ? CHAR   "Enter column:"
DEFINE/PARAM P3 {P1} TABLE
DEFINE/PARAM P4 {P2} CHAR   "Enter column:"
!
DEFINE/LOCAL IN_ROWS/I/1/1   0                 
DEFINE/LOCAL ALLO_ROWS/I/1/1 0
DEFINE/LOCAL OUT_ROWS/I/1/1  0                 
DEFINE/LOCAL NEWROWS/I/1/1   0
!
IF M$FTSET(P1) .eq. 0 THEN              ! if no file extension, add .tbl
     in_a = "{P1}.tbl"
ELSE 
      in_a = P1
ENDIF
!
IF p3(1:1) .eq. ":" .or. p3(1:1) .eq. "#" THEN  !check if P3 contains column 
    P4 = P3
    P3 = P1
ELSE                             ! P3 contains table
   IF M$FTSET(P3) .eq. 0 THEN
     in_b = "{P3}.tbl"
   ELSE 
     in_b = P3
   ENDIF
!
   IN_ROWS  = M$VALUE({in_a},TBLCONTR(4)) ! this is the number of existing
                                         ! rows in the input table
!
   ALLO_ROWS = M$VALUE({in_b},TBLCONTR(2)) ! this is the number of allocated
                                          ! rows in the output table
!
   IF IN_ROWS .GT. ALLO_ROWS THEN
      OUT_ROWS = M$VALUE({in_b},TBLCONTR(4)) ! number of existing rows
      NEWROWS = IN_ROWS - OUT_ROWS             ! how many rows have to be created
      CREATE/ROW {in_b} @{OUT_ROWS} {NEWROWS}    ! add these to output table
      MID$CMND(1:4) = "COPY"
      MID$CMND(11:14) = "TT " 
   ENDIF
ENDIF   
!
WRITE/KEYW HISTORY "{MID$CMND(1:4)}/{MID$CMND(11:14)} "
!
RUN MID_EXE:tdatatbl

