/* @(#)load_curve.c	19.1 (ES0-DMD) 02/25/03 13:46:34 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/


#include <stdio.h>
#include <globaldef.h>
#include <model.h>

void	load_curve(name)
char	name[];

{
extern	struct s_trans	T;
extern	struct s_mod	M;
extern	float	Oxmi,Oxma,Oymi,Oyma;

float	x[6000],y[6000];
int	n;
float	xmin,xmax;
float	ymin,ymax;
char	term[10],str[200];

endname(name,term);

if (strcmp(term,"dat"))
	strcat(name,".dat");

read_curve(name,x,y,&n,str);
c_minmax(x,y,n,&xmin,&xmax,&ymin,&ymax);
plot_xy(str,0,x,y,n,xmin,xmax,ymin,ymax);
end_graphic1();

   Oxmi=xmin;
   Oxma=xmax;
   Oymi=ymin;
   Oyma=ymax;
}
