/* @(#)testx11.c	19.1 (ES0-DMD) 02/25/03 13:52:16 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/* @(#)testx11.c	19.1 (ESO) 02/25/03 13:52:16 */

# include <X11/Xlib.h>
# include <X11/Xutil.h>
# include <X11/cursorfont.h>
# include <X11/keysym.h>
# include <X11/Intrinsic.h> 

main()
{
	printf("%d\n",XtSpecificationRelease);
	exit(0);
}

#ifndef ONLY_INCLUDES
routine()
{
	/* 
	 * Some X11 fuctions extracted from:
	 * $MIDASHOME/$MIDVERS/system/idiserv/x11/Xtest.c
	 */
	XOpenDisplay((char*)0);
	XDefaultVisual((Display*)0,(int)0);
	XMatchVisualInfo( (Display*)0, (int)0, (int)0, (int)0, (XVisualInfo*)0);
	XCreateColormap((Display*)0,(Window)0,(Visual*)0,(int)0);
	XAllocNamedColor((Display*)0,(Colormap)0,(char*)0,(XColor*)0,(XColor*)0);
	XAllocColorCells( (Display*)0, (Colormap)0, (Bool)0, (unsigned long*)0, (unsigned int)0, (unsigned long*)0, (unsigned int)0 );
	XQueryColors((Display*)0, (Colormap)0, (XColor*)0, (int)0 );

	XStoreColors((Display*)0,(Colormap)0,(XColor*)0,(int)0 );
	XFlush((Display*)0);
	XSetStandardProperties( (Display*)0, (Window)0, (char*)0, (char*)0, (Pixmap)0, (char**)0, (int)0, (XSizeHints*)0);
	XSetBackground((Display*)0,(GC)0,(unsigned long)0);
	XSetForeground((Display*)0,(GC)0,(unsigned long)0);
	XSetPlaneMask((Display*)0,(GC)0,(unsigned long)0);
	XSetFunction((Display*)0,(GC)0,(int)0);
	XSync((Display*)0,(Bool)0);
	XSelectInput((Display*)0,(Window)0,(long)0);
	XMapRaised ((Display*)0,(Window)0);
	XWindowEvent((Display*)0, (Window)0, (long)0, (XEvent*)0);
	XFlush ((Display*)0);
	XCreateImage( (Display*)0, (Visual*)0, (unsigned int)0, (int)0, (int)0, (char*)0, (unsigned int)0, (unsigned int)0, (int)0, (int)0);
	XPutImage( (Display*)0, (Drawable)0, (GC)0, (XImage*)0, (int)0, (int)0, (int)0, (int)0, (unsigned int)0, (unsigned int)0 );
	XCreateGC( (Display*)0, (Drawable)0, (unsigned long)0, (XGCValues*)0 );
	XInstallColormap( (Display*)0,(Colormap)0);
	XRecolorCursor( (Display*)0, (Cursor)0, (XColor*)0, (XColor*)0 );
	XDefineCursor( (Display*)0, (Window)0, (Cursor)0 );
	XSelectInput( (Display*)0, (Window)0, (long)0 );
	exit(0);
}
#endif /* ONLY_INCLUDES */
