#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)stcc.fc	19.1 (ES0-DMD) 02/25/03 13:54:13 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++  STC.FC +++++++++++++++++++++++++++++++++++++++
.LANGUAGE C
.IDENTIFICATION Module STC.FC
.COMMENTS
Module contains layer between the catalog related FORTRAN STxxxx interfaces
and the SC_interfaces written in (hopefully independent) C
.AUTHOR         K. Banse  	ESO - Garching
.KEYWORDS       standard interfaces.
.ENVIRONMENT    FORTRAN and C standards
.VERSION  [1.00] 880919:  created
.VERSION  [1.20] 881010:  add SZCSHO
.VERSION  [1.30] 890119:  updated
.VERSION  [1.40] 900219:  update parameters of SZCSHO
.VERSION  [3.00] 901213:  Master file. CG.
-----------------------------------------------------------------------------*/


#include <ftoc.h>
#include <midas_def.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE STCGET(catfile,flag,name,ident,no,status)
CHARACTER   catfile;	/* IN: catalog file  */
fint2c	*flag;		/* IN: = 0 for name only. = 1 for name + ident */
CHARACTER   name;	/* OUT: name of frame in next record of catalog */
CHARACTER   ident;	/* OUT: ident of that frame  */
fint2c	*no;		/* IN/OUT: current record no.  */
fint2c	*status;
#else     /* ==== Generated Code === */
#define STCGET	stcget_
STCGET(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */

    char *myname, *myident;  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */


    myname = C_STRING(3,6,1);
    myident = C_STRING(4,6,2);

    *PARAM(6,6,3,fint2c *) = SCCGET(STRIPPED_STRING(1,6,0),*PARAM(2,6,1,fint2c *),myname,myident,PARAM(5,6,3,fint2c *));
    STRFCOPY(3,6,1,myname);
    STRFCOPY(4,6,2,myident);
  ftoc_free(FORmark);    /* <forif> */
}

