#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2005 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/


#include <ftoc.h>
#include <midas_def.h>


static int  savdsp, *pin1, *pin2, *pin3, *pin4;

#define IIG1	iig1_
ROUTINE IIG1(dsplay,in1,in2,in3,in4)
fint2c *dsplay;
fint2c *in1;
fint2c *in2;
fint2c *in3;
fint2c *in4;

{
savdsp = *dsplay;
pin1 = in1;
pin2 = in2;
pin3 = in3;
pin4 = in4;
return 0;
}

#if 0     /* ==== Original Code ==== */
SUBROUTINE IIG2(string,orient,intens,ht,idst)
CHARACTER  string;
fint2c *orient;
fint2c *intens;
fint2c *ht;
fint2c *idst;
#else     /* ==== Generated Code === */
#define IIG2	iig2_
IIG2(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */

int  IIGTXT_C();

char mystring[TEXT_LEN];

/*
* Temporary string needs to contain original Fortran string
*/  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */


oscopy(mystring,CHAR_LOC(1,5,0),CHAR_LEN(1,5,0));
mystring[CHAR_LEN(1,5,0)] = '\0';

*PARAM(5,5,1,fint2c *) = IIGTXT_C(savdsp,*pin1,mystring,*pin2,*pin3,
                 *pin4,*PARAM(2,5,1,fint2c *),*PARAM(3,5,1,fint2c *),*PARAM(4,5,1,fint2c *));
ftoc_free(FORmark); /* <forif> */return 0;
}

#define IIG3	iig3_
ROUTINE IIG3(ndim,intens,style,idst)
fint2c *ndim;
fint2c *intens;
fint2c *style;
fint2c *idst;

{
int  IIGPLY_C();

*idst = IIGPLY_C(savdsp,*pin1,pin2,pin3,*ndim,*intens,*style);
return 0;
}

#define IIGCPY	iigcpy_
ROUTINE IIGCPY(dsplay,chan,append,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *append;
fint2c *idst;

{
int  IIGCPY_C();

*idst = IIGCPY_C(*dsplay,*chan,*append);
return 0;
}

