#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2005 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*                     IIISTR.C2                                  */

#include <ftoc.h>


static int  savdsp, *pin1, *pin2, *pin3;

#define III1	iii1_
ROUTINE III1(dsplay,in1,in2,in3)
fint2c *dsplay;
fint2c *in1;
fint2c *in2;
fint2c *in3;

{
savdsp = *dsplay;
pin1 = in1;
pin2 = in2;
pin3 = in3;
return 0;
}

#if 0     /* ==== Original Code ==== */
SUBROUTINE IIIGSE(dsplay,evalno,kstring,ll,idst)
CHARACTER  kstring;
fint2c *dsplay;
fint2c *evalno;
fint2c *ll;
fint2c *idst;
#else     /* ==== Generated Code === */
#define IIIGSE	iiigse_
IIIGSE(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */

int IIIGSE_C();  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */


*PARAM(5,5,1,fint2c *) = IIIGSE_C(*PARAM(1,5,0,fint2c *),*PARAM(2,5,0,fint2c *),CHAR_LOC(3,5,0),PARAM(4,5,1,fint2c *));
ftoc_free(FORmark); /* <forif> */return 0;
}

#if 0     /* ==== Original Code ==== */
SUBROUTINE IIIGCE(dsplay,evalno,kstring,idst)
CHARACTER  kstring;
fint2c *dsplay;
fint2c *evalno;
fint2c *idst;
#else     /* ==== Generated Code === */
#define IIIGCE	iiigce_
IIIGCE(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */

int IIIGCE_C();  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */


*PARAM(4,4,1,fint2c *) = IIIGCE_C(*PARAM(1,4,0,fint2c *),*PARAM(2,4,0,fint2c *),CHAR_LOC(3,4,0));
ftoc_free(FORmark); /* <forif> */return 0;
}

#define III2	iii2_
ROUTINE III2(objid,intop,extrig,idst)
fint2c *objid;
fint2c *intop;
fint2c *extrig;
fint2c *idst;

{
int IIIENI_C();

*idst = IIIENI_C(savdsp,*pin1,*pin2,*pin3,*objid,*intop,*extrig);
return 0;

}

#define IIIEIW	iiieiw_
ROUTINE IIIEIW(dsplay,trigst,idst)
fint2c *dsplay;
fint2c *trigst;
fint2c *idst;

{
int IIIEIW_C();

*idst = IIIEIW_C(*dsplay,trigst);
return 0;
}

#define IIISTI	iiisti_
ROUTINE IIISTI(dsplay,idst)
fint2c *dsplay;
fint2c *idst;

{
int IIISTI_C();

*idst = IIISTI_C(*dsplay);
return 0;
}

#define IIIGLD	iiigld_
ROUTINE IIIGLD(dsplay,locno,jx,jy,idst)
fint2c *dsplay;
fint2c *locno;
fint2c *jx;
fint2c *jy;
fint2c *idst;

{
int IIIGLD_C();

*idst = IIIGLD_C(*dsplay,*locno,jx,jy);
return 0;
}

#define IIIGLE	iiigle_
ROUTINE IIIGLE(dsplay,eval,jj,idst)
fint2c *dsplay;
fint2c *eval;
fint2c *jj;
fint2c *idst;

{
int IIIGLE_C();

*idst = IIIGLE_C(*dsplay,*eval,jj);
return 0;
}
