#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/*===========================================================================
  Copyright (C) 1995-2005 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetts Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

#include <ftoc.h>


static int  savdsp, *pin1, *pin2, *pin3, *pin4;

#define IIR1	iir1_
ROUTINE IIR1(dsplay,in1,in2,in3,in4)
fint2c *dsplay;
fint2c *in1;
fint2c *in2;
fint2c *in3;
fint2c *in4;

{
savdsp = *dsplay;
pin1 = in1;
pin2 = in2;
pin3 = in3;
pin4 = in4;
return 0;
}

#define IIR2	iir2_
ROUTINE IIR2(xb,yb,roid,idst)
fint2c *xb;
fint2c *yb;
fint2c *roid;
fint2c *idst;
 
{
int  IICINR_C();

*idst = IIRINR_C(savdsp,*pin1,*pin2,*pin3,*pin4,*xb,*yb,roid);
return 0;
}

#define IIR3	iir3_
ROUTINE IIR3(xb,yb,memo,idst)
fint2c *xb;
fint2c *yb;
fint2c *memo;
fint2c *idst;
 
{
int  IIRRRI_C();

*idst = IIRRRI_C(savdsp,*pin1,*pin2,pin3,pin4,xb,yb,memo);
return 0;
}

#define IIR4	iir4_
ROUTINE IIR4(xb,yb,idst)
fint2c *xb;
fint2c *yb;
fint2c *idst;
 
{
int  IIRWRI_C();

*idst = IIRWRI_C(savdsp,*pin1,*pin2,*pin3,*pin4,*xb,*yb);
 
return 0;
}

#define IIRSRV	iirsrv_
ROUTINE IIRSRV(dsplay,roid,vis,idst)
fint2c *dsplay;
fint2c *roid;
fint2c *vis;
fint2c *idst;
 
{
int  IIRSRV_C();
 
*idst = IIRSRV_C(*dsplay,*roid,*vis);
return 0;
}

#define IIR5	iir5_
ROUTINE IIR5(rad1,rad2,rad3,roid,idst)
fint2c *rad1;
fint2c *rad2;
fint2c *rad3;
fint2c *roid;
fint2c *idst;
 
{
int  IICINR_C();

*idst = IICINR_C(savdsp,*pin1,*pin2,*pin3,*pin4,*rad1,*rad2,*rad3,roid);
return 0;
}

#define IIR6	iir6_
ROUTINE IIR6(rad1,rad2,rad3,memo,idst)
fint2c *rad1;
fint2c *rad2;
fint2c *rad3;
fint2c *memo;
fint2c *idst;

{
int  IICRRI_C();

*idst = IICRRI_C(savdsp,*pin1,*pin2,pin3,pin4,rad1,rad2,rad3,memo);
return 0;
}

#define IIR7	iir7_
ROUTINE IIR7(rad1,rad2,rad3,idst)
fint2c *rad1;
fint2c *rad2;
fint2c *rad3;
fint2c *idst;

{
int  IICWRI_C();

*idst = IICWRI_C(savdsp,*pin1,*pin2,*pin3,*pin4,*rad1,*rad2,*rad3);
return 0;
}
