#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)pto.fc	19.1 (ES0-DMD) 02/25/03 13:56:36 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
.COPYRIGHT      (c) 1993 European Southern Observatory
.IDENTifier     pto.fc
.AUTHOR         Rein H. Warmels, ESO-IPG
.KEYWORDS       High level graphics interface, Graphics keywords
.LANGUAGE       C
.PURPOSE        Fortran to C interface for PCOPEN and PCCLOS
.COMMENTS       Module contains interfaces for PCOPEN and PCCLOS
.ENVIRONMENT    MIDAS FORTRAN and C standards
.VERSION        1.0 13-Oct-1993 RHW
-----------------------------------------------------------------------------*/
#include <proto_plt.h>
#include <ftoc.h>
#include <midas_def.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE PTOPEN(devnam,plname,access,plmode)
CHARACTER devnam;	/* IN : name of the meta file */
CHARACTER plname;	/* IN : name of the meta file */
fint2c   *access;	/* IN : access mode -1, 1, 0 */
fint2c   *plmode;	/* IN/OUT : plot mode 0, 1, 2, or -1 */
#else     /* ==== Generated Code === */
#define PTOPEN	ptopen_
PTOPEN(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */
	
     PCOPEN(STRIPPED_STRING(1,4,0),STRIPPED_STRING(2,4,1),*PARAM(3,4,2,fint2c *),PARAM(4,4,2,fint2c *));
  ftoc_free(FORmark);    /* <forif> */
}

#define PTCLOS	ptclos_
ROUTINE PTCLOS()
{ 
     PCCLOS();
}









