#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)zmstat.fc	19.1 (ES0-DMD) 02/25/03 14:01:10 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Corresponding concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Fortran -> C conversion routine for ZMSTAT

------------------------------------------------------------------------*/
 
#include <ftoc.h>
#include <midas_def.h>

static char savarea[80], savformstr[80], savdefaul[48];

#if 0     /* ==== Original Code ==== */
SUBROUTINE ZST1(area,formstr,defaul)

CHARACTER   area;
CHARACTER   formstr;
CHARACTER   defaul;
#else     /* ==== Generated Code === */
#define ZST1	zst1_
ZST1(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs,noargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */

strncpy(savarea,STRIPPED_STRING(1,3,0),79);
savarea[79] = '\0';
strncpy(savformstr,STRIPPED_STRING(2,3,1),79);
savformstr[79] = '\0';
strncpy(savdefaul,STRIPPED_STRING(3,3,2),47);
savdefaul[47] = '\0';
  ftoc_free(FORmark);    /* <forif> */
}

#if 0     /* ==== Original Code ==== */
SUBROUTINE NSORT(array,size,nmed,fmedian)

float     *array;
fint2c    *size;
fint2c    *nmed;
float     *fmedian;
#else     /* ==== Generated Code === */
#define NSORT	nsort_
NSORT(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  va_start(Cargs,noargs);       /* <forif> */
PARAM(1,4,0,float *) --;
(void) Newsort(PARAM(1,4,0,float *),*PARAM(2,4,0,fint2c *),*PARAM(3,4,0,fint2c *),PARAM(4,4,0,float *));

}

#if 0     /* ==== Original Code ==== */
SUBROUTINE ZST3(imno,naxpix,start,step,rbins)
fint2c    *imno;
fint2c    *naxpix;
double    *start;
double    *step;
float     *rbins;
#else     /* ==== Generated Code === */
#define ZST3	zst3_
ZST3(int *noargs, ...) 
{ va_list Cargs;
#endif    /* ======================= */
  va_start(Cargs,noargs);       /* <forif> */


(void) Zstats(*PARAM(1,5,0,fint2c *),savarea,PARAM(2,5,0,fint2c *),PARAM(5,5,0,float *),savformstr,savdefaul);

}
