! @(#)t2convtbl.prg	19.1 (ESO-DMD) 02/25/03 14:09:04
 
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
! .IDENTIFICATION
!
!  MIDAS Command : t2convtbl.prg
!  TABLE Subsystem
!
!  J.D.Ponz                ESO - Garching   1.0  5OCT89
!  901108  KB  fix WRITE/KEYW HISTORY ...
!
! .PURPOSE
!
!    implements
!
!    CONV/TABLE image = table x[,y] [z] ref-ima method [par]
!					      method = FREQ
!  						       POLY
!						       PLOT
!						       SPEC
!    mapping tables into images
!
! ----------------------------------------------------------------------
!
DEFINE/PARAM P1 ? IMAGE "Enter output image:"
DEFINE/PARAM P3 ? TABLE "Enter input table:"
DEFINE/PARAM P4 ? ?     "Enter column(s) with ind.vars.:"
DEFINE/PARAM P5 ? ?     "Enter column with dep.var.:"
DEFINE/PARAM P6 ? IMAGE "Enter reference image:"
DEFINE/PARAM P7 + ?     "Enter method (FREQ,POLY,PLOT,SPLINE):"
!
WRITE/KEYW HISTORY "{MID$CMND(1:6)}/{MID$CMND(11:14)} "
! 
IF "{P7(1:1)}" .EQ. "S" THEN
  IF {PCOUNT} .LE. 7 THEN
                   WRITE/KEYW MID$CMND/C/1/4 CONV
  ELSE
                   WRITE/KEYW INPUTR/R/1/2 {P8}
!                   WRITE/KEYW INPUTR/R/1/1 {P8}
                   WRITE/KEYW MID$CMND/C/1/4 CSPL
  ENDIF
ELSE
  IF {PCOUNT} .GE. 7 THEN
    IF {PCOUNT} .EQ. 7 THEN
                   WRITE/KEYW INPUTR/R/1/2 0.,255.
    ELSE
                   WRITE/KEYW INPUTR/R/1/2 {P8}
    ENDIF
  ENDIF
                   WRITE/KEYW MID$CMND/C/1/4 CMAP
ENDIF
!
RUN MID_EXE:topertbl
