! @(#)kcompare.prg	19.1 (ESO-DMD) 02/25/03 14:33:40
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  MIDAS procedure kcompare.prg
!  K. Banse     920910, 930401, 980526
!
!  use as @@ kcompare keyref keynew indexa,indexb eps
!  with   keyref = name of reference keyword
!         keynew = name of new keyword
!         indexa,indexb = start + end index for comparison
!         eps = epsilon for difference sum
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
define/par p1 ? ? "Enter refkey: "
define/par p2 ? ? "Enter newkey: "
define/par p3 1,1 n "Enter indexa,indexb: "
define/par p4 0. n "Enter epsilon for difference sum: "
! 
define/local loopi/i/1/3 0,{p3} ? +lower
! 
info/keyw {p1}
if mid$info(1) .eq. 0 then
   write/out invalid keyword {p1}...
   errsum = errsum+1
   return
endif
! 
set/format i1
if mid$info(1) .eq. 1 then
   define/local isum/i/1/1 0 ? +lower
   define/local idif/i/1/1 0 ? +lower
   ! 
   do loopi = {loopi(2)} {loopi(3)}
      @@ kcompare,idiff {p1}({loopi}) {p2}({loopi})
   enddo
   !
   if isum .gt. 0 @@ kcompare,out {p1} {p2} {p3}
else
   define/local sum/d/1/1 0. ? +lower
   define/local ddif/d/1/1 0. ? +lower
   ! 
   do loopi = {loopi(2)} {loopi(3)}
      @@ kcompare,rdiff {p1}({loopi}) {p2}({loopi})
   enddo
   ! 
   define/local eps/r/1/1 {p4}
   if sum .gt. eps @@ kcompare,out {p1} {p2} {p3}
endif
! 
! 
entry idiff
idif = m$abs({p1}-{p2})
isum = isum+idif
! 
! 
entry rdiff
ddif = m$abs({p1}-{p2})
sum = sum+ddif
! 
! 
entry out
write/out
write/out reference: "      " new:
write/out
do loopi = {loopi(2)} {loopi(3)}
   write/out {{p1}({loopi})} "   " {{p2}({loopi})}
enddo
errsum = errsum+1
